[DB-SIG] Re: zope, zope-popyda, psycopg and python1.5-{,egenix-}mxdatetime

M.-A. Lemburg mal@lemburg.com
Thu, 22 Nov 2001 09:56:14 +0100


Federico Di Gregorio wrote:
> 
> On Tue, 2001-11-20 at 10:40, M.-A. Lemburg wrote:
> > > yes, we need a python1.5-egenix-mxdatetime package, i think.
> >
> > Uhm, why don't you just use the standard egenix-mx-base
> > package which comes for Python 1.5.2, 2.0 and 2.1 instead
> > of creating a new RPM distribution ?
> 
> because we were talking about a DEB package, not RPM. for some strange
> reason a mail intended for debian-python ended up in python db-sig ML.

Ah, ok. Which reminds me: why is there no bdist_deb in distutils ?
Perhaps one of the Debian Python packagers could write up such a 
beast ?!
 
> > Note that the base package will sooner or later grow intra-
> > package dependencies (which is why I wrapped them up as
> > single distribution package), so ripping out just the
> > mxDateTime part could fail at some point in the future.
> 
> debian packaging system supports dependencies much better than rpm. we
> won't have such problems. python-egenix-mxdatetime already depends on
> python-egenix-base were all the common stuff is kept.

Ok.. I still don't see the advantage though, but that must
be a Debian thing ;-)
 
-- 
Marc-Andre Lemburg
CEO eGenix.com Software GmbH
______________________________________________________________________
Consulting & Company:                           http://www.egenix.com/
Python Software:                        http://www.lemburg.com/python/